// This stylesheet is a fork created to change selectors for an AB test without impacting other pages.

@import "vendor/bootstrap/bootstrap/variables";
@import "variables";

body {
  background: $just-commit-bg;
  color: $color-white;
  -webkit-font-smoothing: antialiased;
}

.just-commit_reduce-cycle-time,// sass-lint:disable-line class-name-format
.just-commit_secure-apps,// sass-lint:disable-line class-name-format
.just-commit_lower-tco {// sass-lint:disable-line class-name-format
  background: $color-white;

  .footer {
    margin-top: 0;
  }
}

.experiment-control {

  h1,
  h2,
  h3 {
    font-weight: 700;
  }

  p,
  ul,
  i {
    color: $just-commit-text;
  }

  .mktoForm input,// sass-lint:disable-line class-name-format
  .mktoForm select {// sass-lint:disable-line class-name-format
    color: #222222;
  }

  .success-stories-large {

    .success-story {
      position: relative;
      height: 860px;
      padding-bottom: 200px;
      overflow: hidden;
      margin: auto;
      max-width: $screen-macbook;

      .success-story-content {
        max-width: 920px;
        padding: 100px 120px;

        @media all and (max-width: $screen-md-min) {
          padding: 100px 60px;
        }

        @media all and (max-width: $screen-sm-min) {
          padding: 100px 20px;
        }
      }

      .success-story-image {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        opacity: .2;
        z-index: -1;
        margin-bottom: 100px;
        filter: contrast(120%);

        @media all and (max-width: $screen-md-min) {
          height: 50%;
          max-width: initial;
          width: auto;
        }
      }
    }

    @media all and (max-width: $screen-md-min) {
      overflow: hidden;
    }
  }

  .just-commit-tiles-container {
    display: flex;

    .just-commit-tile {
      width: 100%;
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;
      background-color: $color-transparent-alt-darken;
      border-radius: $border-radius-large;
      padding: 40px;
      padding-bottom: 60px;
      text-align: center;

      h2 {
        margin: 40px 0;
      }

      &:not(:first-child) {
        margin-left: 30px;
      }

      .challenge-icon {
        height: 80px;
        margin-bottom: 20px;

        svg {
          height: 100%;
        }
      }
    }
  }

  .just-commit-landing-hero {
    display: flex;
    justify-content: center;
    position: relative;
    overflow: hidden;
    width: 100%;

    .landing-bg {
      position: absolute;
      opacity: .15;
    }

    .landing-bg-left {
      top: -58px;
      left: 0;

      @media all and (max-width: $screen-md-min) {
        left: -200px;
      }

      @media all and (max-width: $screen-sm-min) {
        left: -300px;
      }
    }

    .landing-bg-right {
      bottom: -58px;
      right: 0;

      @media all and (max-width: $screen-md-min) {
        right: -200px;
      }

      @media all and (max-width: $screen-sm-min) {
        right: -300px;
      }
    }

    .landing-hero-content {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      max-width: $screen-macbook;
      width: 100%;
      padding: 160px 20px;
      padding-bottom: 100px;
      z-index: 1;
      position: relative;

      .rotating-words {
        text-align: center;
        width: 100%;
        height: 100px;
        display: flex;
        justify-content: center;

        @keyframes rotateWord {
          10% {
            opacity: 0;
          }

          20% {
            opacity: 1;
            transform: translateY(0);
          }

          80% {
            opacity: 1;
            transform: translateY(0);
          }

          90% {
            opacity: 0;
          }

          to {
            opacity: 0;
            transform: translateY(-20px);
          }
        }

        h2 {
          position: absolute;
          width: 100%;
          max-width: calc(100% - 40px);
          opacity: 0;
          animation: 3s rotateWord ease-in-out infinite;
          transform: translateY(20px);
        }

        @media all and (max-width: $screen-xs-min) {
          height: 170px;
        }
      }

      .landing-hero-logo {
        width: 100%;
        max-width: 600px;

        svg {
          width: 100%;
        }
      }
    }
  }

  .explainer-illustration {
    display: flex;
    align-items: center;
    margin-top: 30px;

    img {
      width: 40%;
      margin-right: 40px;
      flex-shrink: 0;
    }

    p {
      width: 100%;
    }
  }

  .just-commit-button {
    background: $just-commit-medium;
    color: $color-white;
    margin-top: 20px;

    &:hover {
      background: $just-commit-dark;
      color: $color-white;
    }
  }

  @keyframes pulseBox {
    50% {
      opacity: 0;
    }
  }

  .download-cta {
    margin: 20px auto;
    max-width: 420px;
    position: relative;
    background-color: $color-transparent-alt-darken;
    border-radius: $border-radius-large;
    padding: 40px;
    padding-bottom: 60px;
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;

    .cta-bg {
      position: absolute;
      transform: scale(.85);

      rect {
        animation: 3s pulseBox ease-in-out infinite;

        &:nth-child(odd) {
          animation-delay: 1.5s;
        }
      }

      @media all and (max-width: $screen-md-min) {
        transform: scale(1);
      }
    }

    .cta-icon {

      svg {
        height: 100px;
        margin-bottom: 20px;
      }
    }

    @media all and (max-width: $screen-md-min) {
      max-width: 100%;
    }
  }

  .toc-links {

    a {
      margin-top: 10px;
      transition: $transition-primary;
      background: $color-transparent-alt;
      border-radius: $border-radius-large;
      border-bottom: 0;
      color: $just-commit-text;

      &:hover {
        border-bottom: 0;
        background: $just-commit-medium;
        color: $color-white;
      }

      @media all and (max-width: $screen-sm-min) {
        margin: 10px;
        width: 100%;
      }
    }
  }

  .just-commit-hero {
    width: 100%;
    position: relative;

    .commit-grid-cover {
      width: 100%;
      height: 100%;
      position: absolute;
      left: 0;
      top: 0;
      background: $just-commit-grid-cover;
      z-index: -1;
    }

    .commit-grid {
      position: absolute;
      right: 0;
      width: 100%;
      display: flex;
      flex-direction: column;
      align-items: flex-end;
      z-index: -2;
      pointer-events: none;

      .commit-row {
        height: 30px;
        margin: 4px 0;
        display: flex;

        @keyframes fadeInBox {
          to {
            transform: translateX(0);
            opacity: 1;
          }
        }

        .commit-box {
          height: inherit;
          width: 30px;
          margin-left: 8px;
          background: $color-white;
          animation: 3.6s fadeInBox ease-in-out forwards;
          transform: translateX(-500px);
          opacity: 0;
        }
      }

      @media all and (max-width: $screen-sm-min) {
        display: none;
      }
    }

    .hero-content {
      max-width: $screen-macbook;
      margin: auto;
      width: 100%;
      padding: 140px 120px;
      position: relative;

      .just-commit-label {
        margin-bottom: 10px;

        svg {
          height: 26px;
          fill: $just-commit-medium;
        }
      }

      h1 {
        margin-top: 0;
        font-size: 52px;

        @media all and (max-width: $screen-md-min) {
          font-size: 42px;
        }
      }

      p {
        font-size: 20px;
        max-width: 700px;
      }

      @media all and (max-width: $screen-md-min) {
        padding: 120px 80px;
      }

      @media all and (max-width: $screen-sm-min) {
        padding: 120px 20px;
      }
    }
  }

  .title-label {
    margin: 0;
    font-weight: 700;
    letter-spacing: .1em;
    color: $just-commit-medium;
  }

  .just-commit-content-container {

    .full-width-content {
      padding: 100px 0;
      position: relative;
      min-height: 380px;

      .full-width-tile-container {
        display: flex;
        width: 100%;

        .full-width-tile {
          width: 100%;
          padding: 100px 80px;
          position: relative;
          display: flex;
          justify-content: center;
          align-items: center;
          background-size: cover;
          overflow: hidden;
          color: $color-white;

          .full-width-tile-content {
            z-index: 1;
            display: flex;
            flex-direction: column;
            justify-content: space-between;
            align-items: center;
            text-align: center;
            height: 100%;

            // sass-lint:disable nesting-depth
            h2 {
              margin: 40px 0;
              margin-top: 30px;
            }

            // sass-lint:disable nesting-depth
            .challenge-icon {
              height: 80px;
              transition: $transition-primary;

              // sass-lint:disable nesting-depth
              svg {
                height: 100%;
              }
            }
          }

          .full-width-tile-background {
            position: absolute;
            left: 0;
            top: 0;
            width: 100%;
            height: 100%;
            transition: $transition-primary;

            &::before {
              content: "";
              background-color: $just-commit-bg75;
              position: absolute;
              left: 0;
              top: 0;
              width: 100%;
              height: 100%;
            }
          }

          &:hover {
            text-decoration: none;

            .challenge-icon {
              transform: scale(1.1);
            }

            .full-width-tile-background {
              transform: scale(1.02);
            }
          }
        }

        @media all and (max-width: $screen-md-min) {
          flex-direction: column;
        }
      }

      .moving-lines-content {
        position: absolute;
        left: 0;
        top: 0;
        height: 100%;
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;

        .content-tile {
          padding: 40px;
          max-width: 600px;
          background-color: $just-commit-bg;
          border-radius: $border-radius-large;
          display: flex;
          flex-direction: column;
          justify-content: center;
          align-items: center;

          p {
            margin: 0;
            color: $color-white;
          }
        }
      }

      .moving-lines-container {

        svg {
          padding: 20px 0;
          max-height: 700px;

          @keyframes strokeOffset {
            to {
              stroke-dashoffset: -400;
            }
          }

          path {
            stroke-dasharray: 4;
            animation: 18s strokeOffset linear infinite;
          }
        }

        @media all and (max-width: $screen-md-min) {
          display: none;
        }
      }
    }

    .dive-deeper-container {

      .dive-deeper-links {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
        margin-top: 40px;

        a {
          flex: auto;
          text-align: center;
          padding: 40px 20px;
          border-radius: $border-radius-large;
          color: $color-white;
          transition: $transition-primary;
          background-color: $color-transparent-alt-darken;
          display: flex;
          justify-content: center;
          align-items: center;
          margin-right: 20px;
          margin-bottom: 20px;

          p {
            // sass-lint:disable no-important
            margin: 0 !important;
            color: $color-white;
            font-weight: 600;
          }

          &:hover {
            text-decoration: none;
            transform: scale(1.05);
            background: $just-commit-medium;
          }

          @media all and (max-width: $screen-sm-min) {
            margin-right: 0;
          }
        }
      }
    }

    .content {
      padding: 100px 120px;
      max-width: $screen-macbook;
      margin: auto;

      .stats-container {
        display: flex;
        margin-top: 30px;

        .stat-big {
          position: relative;
          text-align: center;

          &:nth-child(2) {

            .stat-bar {
              transition-delay: .2s;
            }
          }

          &:nth-child(3) {

            .stat-bar {
              transition-delay: .4s;
            }
          }

          .stat-bar {
            position: absolute;
            border-radius: $border-radius-circle;
            z-index: -1;
            bottom: 8px;
            left: 8px;
            width: 0;
            height: 8px;
            background: $just-commit-medium;
            transition: 1s ease-in-out;
          }

          h1 {
            margin-top: 0;
            font-size: 76px;
          }
        }

        .stat {
          width: 100%;
          background-color: $color-transparent-alt-darken;
          border-radius: $border-radius-large;
          padding: 40px;
          display: flex;
          flex-direction: column;

          .source-text {
            font-size: 14px;
            opacity: .5;
          }

          .stat-subtitle {
            color: $just-commit-medium;
            margin-top: 0;
            font-size: 20px;
          }

          &:not(:first-child) {
            margin-left: 30px;

            @media all and (max-width: $screen-md-min) {
              margin-left: 0;
              margin-top: 30px;
            }
          }
        }

        @media all and (max-width: $screen-md-min) {
          flex-direction: column;
        }
      }

      .content-column-container {
        display: flex;

        &:not(:last-child) {
          margin-bottom: 50px;
        }

        .tile-info {
          background: $just-commit-dark;

          .tile-title {
            color: $color-white;
          }
        }

        .content-column-content {
          width: 100%;
          display: flex;
          flex-direction: column;
          align-items: flex-start;
          justify-content: center;
        }

        .content-column-image-container {
          display: flex;
          justify-content: center;
          align-items: center;
          width: 100%;

          .content-column-image {
            display: flex;
            justify-content: center;
            height: 100%;
            max-width: 100%;

            svg {
              width: 100%;
              margin: 20px 70px;
              margin-bottom: 0;
              max-height: 420px;
              height: 100%;

              @media all and (max-width: $screen-md-min) {
                max-height: 200px;
                margin: 0;
                margin-top: 20px;
              }
            }

            @media all and (max-width: $screen-md-min) {
              margin-bottom: 0;
            }
          }
        }

        .content-column {
          width: 100%;

          .column-accent {
            transform: translateX(-64px);

            svg {
              height: 24px;
            }

            @media all and (max-width: $screen-sm-min) {
              transform: translateX(0);
            }
          }

          &:not(:first-child) {
            margin-left: 50px;

            @media all and (max-width: $screen-md-min) {
              margin-left: 0;
              margin-top: 50px;
            }
          }
        }

        @media all and (max-width: $screen-md-min) {
          flex-direction: column;

          .content-column-content {
            order: 2;
            margin-top: 0;
          }

          .content-column-image-container {
            order: 1;
          }
        }
      }

      h2 {
        font-size: 38px;
        margin-top: 20px;
      }

      @media all and (max-width: $screen-md-min) {
        padding: 100px 80px;
      }

      @media all and (max-width: $screen-sm-min) {
        padding: 100px 20px;
      }
    }

    .content-divider {
      display: flex;
      justify-content: center;
      align-items: center;
    }
  }

  .just-commit-intro-text {
    padding-top: 15px;
    padding-bottom: 10px;

    p {
      color: $color-gray-dark;
      font-size: 20px;
      padding-right: 0;

      @media (min-width: $screen-md-min) {
        font-size: 23px;
        padding-right: 60px;
      }
    }
  }

  .just-commit-form-wrap {
    position: relative;
    top: 0;
    z-index: 50;
    margin-top: 30px;
    border: 2px solid $color-white;
    background: linear-gradient(to bottom, #3f3177 0%, #1c1635 1000px);
    padding: 35px 30px;
    border-radius: 4px;

    @media (min-width: $screen-md-min) {
      top: -110px;
      margin-top: 0;
      position: absolute;
    }

    .mktoInvalid {// sass-lint:disable-line class-name-format
      // for form validation errors
      border: 2px solid $color-red;
    }

    .confirmform {
      color: $color-white;

      p {
        color: $color-white;
      }
    }

    .form-container a:active, 
    .form-container a:focus, 
    .form-container a:hover, 
    .form-container a {
      color: rgba($color-white, 1);
    }
  }

  .just-commit-highlight-row {
    background: $color-gray-medium;
    clip-path: polygon(0 0, 100% 6%, 100% 100%, 0% 100%);
    min-height: 470px;
    /* ensure the right column form doesn't overlap the section below it */
    padding: 40px 40px 50px;

    @media (min-width: $screen-md-min) {
      clip-path: polygon(0 0, 100% 8%, 100% 100%, 0% 100%);
    }

    @media (min-width: $screen-lg-min) {
      .just-commit_lower-tco & {// sass-lint:disable-line class-name-format
        padding: 40px 40px 100px;
      }
    }

    h3 {
      color: $just-commit-dark;
    }

    .checkmark-list {
      margin: 30px 0 0;
      padding: 0;

      li {
        position: relative;
        list-style-type: none;
        color: $just-commit-dark;
        padding-left: 40px;
        line-height: 1.375;
        margin-bottom: 23px;
        font-size: 16px;

        @media (min-width: $screen-md-min) {
          font-size: 19px;
        }

        &::before {
          content: url("/images/icons/checkmark-orange-circle.svg");
          position: absolute;
          left: 0;
        }
      }
    }
  }

  .just-commit-logo-wrap {
    padding-bottom: 30px;

    .customer-logos-container p {
      color: $color-gray;
      opacity: 1;
    }
  }

  .just-commit-sales-wrap {
    background: $just-commit-bg;
    padding: 40px 40px 80px 40px;

    h2 {
      color: $color-white;
    }
  }

  .header-hero-banner {
    background-size: cover;
    width: 100%;
    color: $color-white;
    padding: 280px 0 70px;
    overflow: hidden;
    position: relative;
    clip-path: polygon(0 0, 100% 0%, 100% 100%, 0 94%);

    @media (min-width: $screen-md-min) {
      clip-path: polygon(0 0, 100% 0%, 100% 100%, 0 92%);
    }

    i {
      color: rgba($color-white, 1);
    }

    .container {
      position: relative;
      z-index: 5;
    }

    &--reduce-cycle {
      background-image: url("/images/just-commit/team-computer.jpg");
      background-position: right 40%;

      h1 {
        max-width: 100%;
        width: 600px;
        line-height: 1;
      }

      &::after {
        content: "";
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background: rgba($color-black, .5);
      }
    }

    &--secure-apps {
      background-image: url("/images/just-commit/computer-hands.jpg");
      background-position: left 40%;

      h1 {
        max-width: 100%;
        width: 650px;
        line-height: 1;
        font-size: 45px;

        @media (min-width: $container-large-desktop) {
          font-size: 52px;
        }
      }

      &::after {
        content: "";
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background: rgba($color-black, .7);
      }
    }

    &--lower-tco {
      background-image: url("/images/unsplash/data-servers.jpg");
      background-position: left 40%;

      h1 {
        max-width: 100%;
        width: 650px;
        line-height: 1;
        font-size: 45px;

        @media (min-width: $container-large-desktop) {
          font-size: 52px;
        }
      }

      &::after {
        content: "";
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        bottom: 0;
        left: 0;
        right: 0;
        background: rgba($color-black, .8);
      }
    }
  }
}
